%define api	3.0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configurable context menu for Nautilus
Name:		nautilus-actions
Version:	3.2.4
Release:	%mkrel 5
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.nautilus-actions.org/
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(unique-3.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:	pkgconfig(sm) >= 1.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.16
BuildRequires:	pkgconfig(xml2po)
#needed to get correct deps for na-gconf2key.sh
BuildRequires:  pdksh

Requires:	nautilus

%description
Nautilus actions is an extension for Nautilus, the gnome file
manager. It allow to configure program to be launch on files selected
into Nautilus interface.

%package devel
Group:		Development/C
Summary:	Development files of %name
Requires:	%{name} = %{version}-%{release}

%description devel
Install this if you want to build extensions for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-schemas-install \
	--enable-gconf \
	--with-gtk=3
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name} --all-name --with-gnome

#mor lang files
for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS README TODO NEWS MAINTAINERS
%doc docs/objects-hierarchy.odg
%{_bindir}/*
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_libdir}/nautilus/extensions-%{api}/lib%{name}-*.so
%{_datadir}/%{name}/
%dir %{_datadir}/omf/nautilus-actions-config-tool/
%{_datadir}/omf/nautilus-actions-config-tool/nautilus-actions-config-tool-C.omf
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/nact.desktop

%files devel
%doc %{_datadir}/gtk-doc/html/nautilus-actions-3/
%{_includedir}/%{name}


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 3.2.4-5.mga6
+ Revision: 935038
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.4-4.mga5
+ Revision: 743686
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.2.4-3.mga5
+ Revision: 725123
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.4-2.mga5
+ Revision: 682803
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 ovitters <ovitters> 3.2.4-1.mga5
+ Revision: 660067
- new version 3.2.4

* Wed Jun 04 2014 fwang <fwang> 3.2.3-2.mga5
+ Revision: 632767
- rebuild for new gtop

* Tue Feb 04 2014 dams <dams> 3.2.3-1.mga5
+ Revision: 581025
- new version 3.2.3

* Fri Oct 18 2013 umeabot <umeabot> 3.2.2-4.mga4
+ Revision: 508146
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 3.2.2-2.mga3
+ Revision: 337464
- Fix for _libdir != _libexecdir

* Fri Mar 09 2012 fwang <fwang> 3.2.2-1.mga2
+ Revision: 222020
- drop merged patch
- new version 3.2.2

* Fri Mar 02 2012 wally <wally> 3.2.0-1.mga2
+ Revision: 216851
- add missing BR
- fix file list

  + ovitters <ovitters>
    - add xsltproc to buildrequires
    - new version 3.2.0

* Sat Dec 10 2011 wally <wally> 3.1.5-2.mga2
+ Revision: 180304
- add BR pdksh

* Sat Dec 10 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 180244
- new version 3.1.5
- clean .spec
- don't generate gtk-docs
- imported package nautilus-actions


* Mon Jul 11 2011 Götz Waschk <waschk@mandriva.org> 3.1.4-1mdv2011
+ Revision: 689439
- update build deps
- new version
- xz tarball

* Fri May 20 2011 Götz Waschk <waschk@mandriva.org> 3.1.3-1
+ Revision: 676435
- new version

* Fri Mar 11 2011 Götz Waschk <waschk@mandriva.org> 3.1.2-1
+ Revision: 643847
- update to new version 3.1.2

* Sat Feb 26 2011 Götz Waschk <waschk@mandriva.org> 3.1.1-1
+ Revision: 640156
- new version
- drop patch 0
- fix crash on startup
- add trigger to allow migration from older versions

* Fri Feb 25 2011 Götz Waschk <waschk@mandriva.org> 3.1.0-1
+ Revision: 639818
- new version
- rediff patch

* Thu Jan 20 2011 Götz Waschk <waschk@mandriva.org> 3.0.7-1
+ Revision: 631808
- update to new version 3.0.7

* Fri Jan 07 2011 Götz Waschk <waschk@mandriva.org> 3.0.6-1mdv2011.0
+ Revision: 629707
- update to new version 3.0.6

* Sun Jan 02 2011 Götz Waschk <waschk@mandriva.org> 3.0.5-1mdv2011.0
+ Revision: 627475
- new version
- update the patch

* Fri Dec 31 2010 Götz Waschk <waschk@mandriva.org> 3.0.4-1mdv2011.0
+ Revision: 626628
- new version
- drop patch 0

* Tue Dec 21 2010 Götz Waschk <waschk@mandriva.org> 3.0.3-1mdv2011.0
+ Revision: 623625
- update build deps
- new version
- fix installation

* Fri Dec 03 2010 Götz Waschk <waschk@mandriva.org> 3.0.2-1mdv2011.0
+ Revision: 606353
- update to new version 3.0.2

* Sat Sep 25 2010 Götz Waschk <waschk@mandriva.org> 3.0-1mdv2011.0
+ Revision: 581004
- new version
- rediff patch 0
- add help files

* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 2.99.5-1mdv2011.0
+ Revision: 572488
- update to new version 2.99.5

* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 2.99.4-1mdv2011.0
+ Revision: 572440
- update to new version 2.99.4

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.99.3-1mdv2011.0
+ Revision: 570577
- new version
- drop patch 2

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.99.2-1mdv2011.0
+ Revision: 570329
- new version
- fix build
- update file list

* Sun Aug 08 2010 Götz Waschk <waschk@mandriva.org> 2.99.1-1mdv2011.0
+ Revision: 567572
- new version
- rediff patch 0
- update file list
- update build deps

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 2.99.0-1mdv2011.0
+ Revision: 562981
- new version
- rediff patch 0

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 550781
- update to new version 2.30.3

* Thu Apr 15 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2010.1
+ Revision: 535034
- update to new version 2.30.2

* Sun Apr 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 533582
- new version
- update file list

* Fri Mar 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 527605
- new version
- rediff patch 1
- patch to fix underlinking problem

* Sun Jan 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 495391
- new version

* Tue Jan 05 2010 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 486485
- new version
- drop patch 0

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 479686
- new version
- add devel package
- update file list
- fix format strings
- fix desktop entry

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475369
- update to new version 2.29.1

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2010.1
+ Revision: 462166
- update to new version 1.12.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-1mdv2010.0
+ Revision: 458737
- Release 1.12.2
- Remove patch0, merged upstream

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdv2010.0
+ Revision: 415272
- fix uuid build dep
- new version
- new source URL
- update docs
- fix installation

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 1.11.2-1mdv2010.0
+ Revision: 406390
- BR unique
- new version 1.11.2

* Fri May 29 2009 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.0
+ Revision: 380869
- update file list
- new version
- update URLs
- drop patches 0,1

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 1.9-0.r510.1mdv2009.1
+ Revision: 299390
- new snapshot
- update license
- fix build
- fix desktop entry
- fix file list

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1-4mdv2009.0
+ Revision: 253572
- rebuild

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-2mdv2008.1
+ Revision: 156465
- fix nautilus extensions dir
- spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 20472
- new version


* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- New release 1.4

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2-.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Mon May 01 2006 Gtz Waschk <waschk@mandriva.org> 1.2-1mdk
- handle new icons
- New release 1.2

* Wed Feb 08 2006 Gtz Waschk <waschk@mandriva.org> 1.0-1mdk
- drop gconf schema
- New release 1.0

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 0.99-2mdk
- fix buildrequires

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.99-1mdk
- install gconf schema
- update file list
- New release 0.99

* Tue Sep 27 2005 Gtz Waschk <waschk@mandriva.org> 0.7.1-1mdk
- update file list
- New release 0.7.1

* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- fix source url
- new version

* Thu Sep 08 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- fix buildrequires

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- mkrel
- new version

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- initial package

